<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Forum_Model_DbTable_Forums extends Engine_Db_Table
{
  protected $_rowClass = 'Forum_Model_Forum';

  public function getChildrenSelectOfForumCategory($category)
  {
    return $this->select()->where('category_id = ?', $category->category_id);
  }
  
  public function getForumsAssoc() {
    $select = $this->select()
								->from($this->info('name'))
								->order("category_id ASC")
								->order('order ASC');
		return $this->fetchAll($select);
  }
}
